Bug 449688 - [Chapter 13.1] PV-Introduction.xml:
[Chapter 13.1] PV-Introduction.xml:
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Christopher Curran
Don Domingo
http://www.redhat.com/docs/en-US/Red_...
: Documentation
Depends On:
Blocks: 449674
  Show dependency treegraph
 
Reported: 2008-06-02 21:27 EDT by Michael Hideo
Modified: 2009-02-23 00:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-23 00:03:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hideo 2008-06-02 21:27:18 EDT
There should be a statement that clarifies that the “Minimum guest operating
system version” are architecture dependant
Comment 1 Christopher Curran 2008-06-05 00:24:43 EDT
updated and fixed. Needs tech review
Comment 2 Bill Burns 2008-10-22 09:04:31 EDT
Don Dutile can you review this please?
Comment 3 Don Dutile 2008-10-27 18:34:21 EDT
All architectures: i686 & x86_64  have the same minimum guest operating system version.


*BUT*, this section now brings to light another issue:
  RHEL4.7 has the xen pv-on-hvm drivers built into the kernel package.
  RHEL5.3 has the xen pv-on-hvm drivers built into the kernel package.

so the kmod-xenpv package is no longer needed in RHEL4 in 4.7 & beyond
and the same goes for RHEL5 in 5.3 & beyond.


This should be noted in this section.
Comment 4 Christopher Curran 2008-11-06 02:17:44 EST
Just verifying my work as I'm getting tired and worried about the accuracy of this update.

<important><title>Red Hat Enterprise Linux 4.7 and 5.3 and newer</title><para>
				All version of Red Hat Enterprise Linux from 4.7 and 5.3 have the kernel module for the para-virtualized drivers, the <systemitem>pv-on-hvm</systemitem> module, in the default kernel package. That means the para-virtualized drivers are available for Red Hat Enterprise Linux 4.7 and newer or 5.3 and newer guests.</para></important>

Would that satisfy the note for the section?
Comment 5 Don Dutile 2008-11-06 10:12:22 EST
I would slightly clarify it this way:

<important><title>Red Hat Enterprise Linux 4.7 and 5.3 and newer</title><para>
    All versions of Red Hat Enterprise Linux from 4.7 and 5.3 have the kernel
modules for the Xen para-virtualized drivers, the <systemitem>pv-on-hvm</systemitem>
modules, in the default kernel package. That means the para-virtualized drivers
are available for Red Hat Enterprise Linux 4.7 and newer or 5.3 and newer
guests without adding the asynchronous kmod-xenpv package.</para></important>

Note You need to log in before you can comment on or make changes to this bug.